
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #880

Wrong active area in some skins.

March 09, 2019 14:38 - Carlo Bramini

Status: Rejected Start date: March 09, 2019

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.10.1   

Description

With some skins, some buttons can be activated when pressing on regions where those buttons do not exist.

For example, open the Refugee skin and press with the mouse as shown in the attached screenshot: the button "Rand." can be

activated on and off by pressing in that point, but it should not.

Other skins:

- Classic

- Classic1.3

- Ivory

- Osmosis

- TinyPlayer

are affected on both random and repeat buttons.

Sincerely.

History

#1 - March 13, 2019 16:03 - John Lindgren

The active area is correct (matches Winamp 2.x).  The skins you mention are visually misleading because part of the shuffle button doesn't look like a

button.  See https://github.com/audacious-media-player/audacious-plugins/blob/master/src/skins-data/Skins/Refugee/shufrep.png for example:

 shufrep.png 

I already fixed the Default skin under #397.  I'm not going to consider visual imperfections in the other skins as a "bug" nor spend my time going

through and fixing all of them.  If you would like to submit fixes, please feel free to do so, and open a pull request.

#2 - March 13, 2019 16:04 - John Lindgren

- Status changed from New to Rejected
